Content

- Do NOT install plugins as a ROOT user
- First, delete all old Easy Gantt plugins if exists (plugins/easy_gantt*)
- Copy all unzipped plugins into REDMINE_ROOT/plugins
- Run:
  $ bundle install
  (or bundle update)
  $ bundle exec rake db:migrate RAILS_ENV=production
  $ bundle exec rake redmine:plugins:migrate RAILS_ENV=production
- Restart server

Requirements for successful installation

  • Redmine version: 3.2+
  • Ruby version: 2.1+ (recommended 2.3.)
  • Database type: MySQL (recommended), PostgreSQL

Follow installation procedure in #install. Verify whether the installation log doesn't contain any errors. If it does, try to solve it according to the description, or contact This email address is being protected from spambots. You need JavaScript enabled to view it. with the error section of the log attached.

Installation on Bitnami

Bitnami is not tested nor guaranteed. If the installation fails, run manually:

$ bundle update
$ rake db:migrate
$ rake redmine:plugins:migrate

Every Redmine plugins installation ca be slightly different – always read instructions for particular plugin.

Additional information

Try the best
performance
for free

Try complete Redmine upgrade.
All plugins in one solution
That's Easy Redmine 2019.

Start Free Trial

Easy Redmine 2019 Free Trial

Full-featured, 30 Days, SSL protected, Daily Backups, In your Geo Location

or